## org.apache.hadoop.mapred
Class Counters.Counter

    java.lang.Object
      org.apache.hadoop.mapreduce.Counter
          org.apache.hadoop.mapred.Counters.Counter

All Implemented Interfaces:
  Writable

Enclosing class:
  Counters

    public static class Counters.Counter

extends Counter

A counter record, comprising its name and value.

Method Summary
`long` `getCounter()` What is the current value of this counter?
`String` `makeEscapedCompactString()` Returns the compact stringified version of the counter in the format [(actual-name)(display-name)(value)]
`void` `setDisplayName(String newName)`

Methods inherited from class org.apache.hadoop.mapreduce.Counter
`equals, getDisplayName, getName, getValue, hashCode, increment, readFields, setValue, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setDisplayName

    public void setDisplayName(String newName)

  Overrides:
    `setDisplayName` in class `Counter`

### makeEscapedCompactString

    public String makeEscapedCompactString()

  Returns the compact stringified version of the counter in the format [(actual-name)(display-name)(value)]

### getCounter

    public long getCounter()

  What is the current value of this counter?

  Returns:
    the current value

Copyright © 2009 The Apache Software Foundation